#include <bits/stdc++.h>

using namespace std;

int main()
{
    long n, x, i, a, rastojanje = 0;
    cin >> n >> x;
    long amin = LONG_MAX, amax = 0;

    for(i = 0; i < n; i ++)
    {
        cin >> a;
        if (a > amax)
            amax = a;
        if (a < amin)
            amin = a;
    }

    if(amin > x)
    {
        rastojanje = amax - x;
    }
    if(amin < x && amax > x)
    {
        rastojanje = amax - amin + min(amax - x, x - amin);
    }
    if(amax < x)
    {
        rastojanje = x - amin;
    }

    cout << rastojanje;

    return 0;
}